<?php 
  require_once("../includes/initialize.php"); 

  error_reporting(E_ALL);
  ini_set('display_errors', 1);

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Yuven Admin Panel | Chart</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png"
           alt="AdminLTE Logo"
           class="brand-image img-circle elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light">AdminLTE 3</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Manoj Yadav</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          
          <li class="nav-item">
            <a href="index.php" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p> Dashboard </p>
            </a>
          </li>

          <li class="nav-item">
            <a href="question-lists.php" class="nav-link">
              <i class="nav-icon fas fa-list"></i>
              <p> Question List </p>
            </a>
          </li>

          <li class="nav-item">
            <a href="data-chart.php" class="nav-link active">
              <i class="nav-icon fas fa-chart-bar"></i>
              <p> Dara Chart</p>
            </a>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
      
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>ChartJS</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">ChartJS</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          
             <?php

                $haayanaa_1 = 0;
                $haayanaa_query = HaaYaNaa::find_by_level(1); foreach ($haayanaa_query as $haayanaa_query) {  $haayanaa_1++; }

                $haayanaa_2 = 0;
                $haayanaa_query = HaaYaNaa::find_by_level(2); foreach ($haayanaa_query as $haayanaa_query) {  $haayanaa_2++; }

                $haayanaa_3 = 0;
                $haayanaa_query = HaaYaNaa::find_by_level(3); foreach ($haayanaa_query as $haayanaa_query) {  $haayanaa_3++; }

                $haayanaa_4 = 0;
                $haayanaa_query = HaaYaNaa::find_by_level(4); foreach ($haayanaa_query as $haayanaa_query) {  $haayanaa_4++; }

                $haayanaa_5 = 0;
                $haayanaa_query = HaaYaNaa::find_by_level(5); foreach ($haayanaa_query as $haayanaa_query) {  $haayanaa_5++; }


                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $agriculture_1 = 0;
                $question_query = QuestionsSet::find_by_category('Agriculture', 1); foreach ($question_query as $question_query) {  $agriculture_1++; }

                $agriculture_2 = 0;
                $question_query = QuestionsSet::find_by_category('Agriculture', 2); foreach ($question_query as $question_query) {  $agriculture_2++; }

                $agriculture_3 = 0;
                $question_query = QuestionsSet::find_by_category('Agriculture', 3); foreach ($question_query as $question_query) {  $agriculture_3++; }

                $agriculture_4 = 0;
                $question_query = QuestionsSet::find_by_category('Agriculture', 4); foreach ($question_query as $question_query) {  $agriculture_4++; }

                $agriculture_5 = 0;
                $question_query = QuestionsSet::find_by_category('Agriculture', 5); foreach ($question_query as $question_query) {  $agriculture_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $gk_1 = 0;
                $question_query = QuestionsSet::find_by_category('General Knowledge', 1); foreach ($question_query as $question_query) {  $gk_1++; }

                $gk_2 = 0;
                $question_query = QuestionsSet::find_by_category('General Knowledge', 2); foreach ($question_query as $question_query) {  $gk_2++; }

                $gk_3 = 0;
                $question_query = QuestionsSet::find_by_category('General Knowledge', 3); foreach ($question_query as $question_query) {  $gk_3++; }

                $gk_4 = 0;
                $question_query = QuestionsSet::find_by_category('General Knowledge', 4); foreach ($question_query as $question_query) {  $gk_4++; }

                $gk_5 = 0;
                $question_query = QuestionsSet::find_by_category('General Knowledge', 5); foreach ($question_query as $question_query) {  $gk_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $religion_1 = 0;
                $question_query = QuestionsSet::find_by_category('Religion & Mythology', 1); foreach ($question_query as $question_query) { $religion_1++; }

                $religion_2 = 0;
                $question_query = QuestionsSet::find_by_category('Religion & Mythology', 2); foreach ($question_query as $question_query) { $religion_2++; }

                $religion_3 = 0;
                $question_query = QuestionsSet::find_by_category('Religion & Mythology', 3); foreach ($question_query as $question_query) { $religion_3++; }

                $religion_4 = 0;
                $question_query = QuestionsSet::find_by_category('Religion & Mythology', 4); foreach ($question_query as $question_query) { $religion_4++; }

                $religion_5 = 0;
                $question_query = QuestionsSet::find_by_category('Religion & Mythology', 5); foreach ($question_query as $question_query) { $religion_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $history_1 = 0;
                $question_query = QuestionsSet::find_by_category('History & Civics', 1); foreach ($question_query as $question_query) {  $history_1++; }

                $history_2 = 0;
                $question_query = QuestionsSet::find_by_category('History & Civics', 2); foreach ($question_query as $question_query) { $history_2++; }

                $history_3 = 0;
                $question_query = QuestionsSet::find_by_category('History & Civics', 3); foreach ($question_query as $question_query) { $history_3++; }

                $history_4 = 0;
                $question_query = QuestionsSet::find_by_category('History & Civics', 4); foreach ($question_query as $question_query) { $history_4++; }

                $history_5 = 0;
                $question_query = QuestionsSet::find_by_category('History & Civics', 5); foreach ($question_query as $question_query) { $history_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $literature_1 = 0;
                $question_query = QuestionsSet::find_by_category('Literature', 1); foreach ($question_query as $question_query) {  $literature_1++; }

                $literature_2 = 0;
                $question_query = QuestionsSet::find_by_category('Literature', 2); foreach ($question_query as $question_query) {  $literature_2++; }

                $literature_3 = 0;
                $question_query = QuestionsSet::find_by_category('Literature', 3); foreach ($question_query as $question_query) {  $literature_3++; }

                $literature_4 = 0;
                $question_query = QuestionsSet::find_by_category('Literature', 4); foreach ($question_query as $question_query) {  $literature_4++; }

                $literature_5 = 0;
                $question_query = QuestionsSet::find_by_category('Literature', 5); foreach ($question_query as $question_query) {  $literature_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $sports_1 = 0;
                $question_query = QuestionsSet::find_by_category('Sports & Games', 1); foreach ($question_query as $question_query) { $sports_1++; }

                $sports_2 = 0;
                $question_query = QuestionsSet::find_by_category('Sports & Games', 2); foreach ($question_query as $question_query) { $sports_2++; }

                $sports_3 = 0;
                $question_query = QuestionsSet::find_by_category('Sports & Games', 3); foreach ($question_query as $question_query) { $sports_3++; }

                $sports_4 = 0;
                $question_query = QuestionsSet::find_by_category('Sports & Games', 4); foreach ($question_query as $question_query) { $sports_4++; }

                $sports_5 = 0;
                $question_query = QuestionsSet::find_by_category('Sports & Games', 5); foreach ($question_query as $question_query) { $sports_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $films_1 = 0;
                $question_query = QuestionsSet::find_by_category('Films & Entertainment', 1); foreach ($question_query as $question_query) { $films_1++; }

                $films_2 = 0;
                $question_query = QuestionsSet::find_by_category('Films & Entertainment', 2); foreach ($question_query as $question_query) { $films_2++; }

                $films_3 = 0;
                $question_query = QuestionsSet::find_by_category('Films & Entertainment', 3); foreach ($question_query as $question_query) { $films_3++; }

                $films_4 = 0;
                $question_query = QuestionsSet::find_by_category('Films & Entertainment', 4); foreach ($question_query as $question_query) { $films_4++; }

                $films_5 = 0;
                $question_query = QuestionsSet::find_by_category('Films & Entertainment', 5); foreach ($question_query as $question_query) { $films_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $geography_1 = 0;
                $question_query = QuestionsSet::find_by_category('Geography', 1); foreach ($question_query as $question_query) {  $geography_1++; }

                $geography_2 = 0;
                $question_query = QuestionsSet::find_by_category('Geography', 2); foreach ($question_query as $question_query) {  $geography_2++; }

                $geography_3 = 0;
                $question_query = QuestionsSet::find_by_category('Geography', 3); foreach ($question_query as $question_query) {  $geography_3++; }

                $geography_4 = 0;
                $question_query = QuestionsSet::find_by_category('Geography', 4); foreach ($question_query as $question_query) {  $geography_4++; }

                $geography_5 = 0;
                $question_query = QuestionsSet::find_by_category('Geography', 5); foreach ($question_query as $question_query) {  $geography_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $animals_1 = 0;
                $question_query = QuestionsSet::find_by_category('Animals', 1); foreach ($question_query as $question_query) { $animals_1++; }

                $animals_2 = 0;
                $question_query = QuestionsSet::find_by_category('Animals', 2); foreach ($question_query as $question_query) { $animals_2++; }

                $animals_3 = 0;
                $question_query = QuestionsSet::find_by_category('Animals', 3); foreach ($question_query as $question_query) { $animals_3++; }

                $animals_4 = 0;
                $question_query = QuestionsSet::find_by_category('Animals', 4); foreach ($question_query as $question_query) { $animals_4++; }

                $animals_5 = 0;
                $question_query = QuestionsSet::find_by_category('Animals', 5); foreach ($question_query as $question_query) { $animals_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $capitals_1 = 0;
                $question_query = QuestionsSet::find_by_category('Capitals & Countries', 1); foreach ($question_query as $question_query) { $capitals_1++; }

                $capitals_2 = 0;
                $question_query = QuestionsSet::find_by_category('Capitals & Countries', 2); foreach ($question_query as $question_query) { $capitals_2++; }

                $capitals_3 = 0;
                $question_query = QuestionsSet::find_by_category('Capitals & Countries', 3); foreach ($question_query as $question_query) { $capitals_3++; }

                $capitals_4 = 0;
                $question_query = QuestionsSet::find_by_category('Capitals & Countries', 4); foreach ($question_query as $question_query) { $capitals_4++; }

                $capitals_5 = 0;
                $question_query = QuestionsSet::find_by_category('Capitals & Countries', 5); foreach ($question_query as $question_query) { $capitals_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $science_1 = 0;
                $question_query = QuestionsSet::find_by_category('Science', 1); foreach ($question_query as $question_query) { $science_1++; }

                $science_2 = 0;
                $question_query = QuestionsSet::find_by_category('Science', 2); foreach ($question_query as $question_query) { $science_2++; }

                $science_3 = 0;
                $question_query = QuestionsSet::find_by_category('Science', 3); foreach ($question_query as $question_query) { $science_3++; }

                $science_4 = 0;
                $question_query = QuestionsSet::find_by_category('Science', 4); foreach ($question_query as $question_query) { $science_4++; }

                $science_5 = 0;
                $question_query = QuestionsSet::find_by_category('Science', 5); foreach ($question_query as $question_query) { $science_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

               $computers_1 = 0;
                $question_query = QuestionsSet::find_by_category('Computers & Technology', 1); foreach ($question_query as $question_query) {  $computers_1++; }

                $computers_2 = 0;
                $question_query = QuestionsSet::find_by_category('Computers & Technology', 2); foreach ($question_query as $question_query) {  $computers_2++; }

                $computers_3 = 0;
                $question_query = QuestionsSet::find_by_category('Computers & Technology', 3); foreach ($question_query as $question_query) {  $computers_3++; }

                $computers_4 = 0;
                $question_query = QuestionsSet::find_by_category('Computers & Technology', 4); foreach ($question_query as $question_query) {  $computers_4++; }

                $computers_5 = 0;
                $question_query = QuestionsSet::find_by_category('Computers & Technology', 5); foreach ($question_query as $question_query) {  $computers_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $currencies_1 = 0;
                $question_query = QuestionsSet::find_by_category('World Currencies', 1); foreach ($question_query as $question_query) {  $currencies_1++; }

                $currencies_2 = 0;
                $question_query = QuestionsSet::find_by_category('World Currencies', 2); foreach ($question_query as $question_query) {  $currencies_2++; }

                $currencies_3 = 0;
                $question_query = QuestionsSet::find_by_category('World Currencies', 3); foreach ($question_query as $question_query) {  $currencies_3++; }

                $currencies_4 = 0;
                $question_query = QuestionsSet::find_by_category('World Currencies', 4); foreach ($question_query as $question_query) {  $currencies_4++; }

                $currencies_5 = 0;
                $question_query = QuestionsSet::find_by_category('World Currencies', 5); foreach ($question_query as $question_query) {  $currencies_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $environment_1 = 0;
                $question_query = QuestionsSet::find_by_category('Environment & Space', 1); foreach ($question_query as $question_query) {  $environment_1++; }

                $environment_2 = 0;
                $question_query = QuestionsSet::find_by_category('Environment & Space', 2); foreach ($question_query as $question_query) {  $environment_2++; }

                $environment_3 = 0;
                $question_query = QuestionsSet::find_by_category('Environment & Space', 3); foreach ($question_query as $question_query) {  $environment_3++; }

                $environment_4 = 0;
                $question_query = QuestionsSet::find_by_category('Environment & Space', 4); foreach ($question_query as $question_query) {  $environment_4++; }

                $environment_5 = 0;
                $question_query = QuestionsSet::find_by_category('Environment & Space', 5); foreach ($question_query as $question_query) {  $environment_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 

                $first_1 = 0;
                $question_query = QuestionsSet::find_by_category('First Ever', 1); foreach ($question_query as $question_query) {  $first_1++; }

                $first_2 = 0;
                $question_query = QuestionsSet::find_by_category('First Ever', 2); foreach ($question_query as $question_query) {  $first_2++; }

                $first_3 = 0;
                $question_query = QuestionsSet::find_by_category('First Ever', 3); foreach ($question_query as $question_query) {  $first_3++; }

                $first_4 = 0;
                $question_query = QuestionsSet::find_by_category('First Ever', 4); foreach ($question_query as $question_query) {  $first_4++; }

                $first_5 = 0;
                $question_query = QuestionsSet::find_by_category('First Ever', 5); foreach ($question_query as $question_query) {  $first_5++; }
                
                // ***************  ***************  ***************  ***************  ***************  ***************  ***************  *************** 


            ?>


          <!-- /.col (LEFT) -->
          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Haa Ya Naa</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="haayanaaChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          



          <!-- /.col (LEFT) -->
          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Agriculture</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="barChart" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>



          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">General Knowledge</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="generalKnowledge" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->



          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Religion & Mythology</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="religionMythology" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">History & Civics</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="historyCivics" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Literature</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="literature" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Sports & Games</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="sportsGames" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Films & Entertainment</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="filmsEntertainment" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Geography</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="geography" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Animals</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="animals" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Capitals & Countries</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="capitalsCountries" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Science</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="science" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Computers & Technology</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="computersTechnology" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">World Currencies</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="worldCurrencies" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">Environment & Space</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="environmentSpace" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->


          <div class="col-md-6">
            <!-- BAR CHART -->
            <div class="card card-success">
              <div class="card-header">
                <h3 class="card-title">First Ever</h3>

                <div class="card-tools">
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>
                  <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i></button>
                </div>
              </div>
              <div class="card-body">
                <div class="chart">
                  <canvas id="firstEver" style="min-height: 250px; height: 250px; max-height: 250px; max-width: 100%;"></canvas>
                </div>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col (RIGHT) -->




        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.0.4
    </div>
    <strong>Copyright &copy; 2014-2019 <a href="http://adminlte.io">AdminLTE.io</a>.</strong> All rights
    reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Add Content Here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- ChartJS -->
<script src="plugins/chart.js/Chart.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<!-- page script -->
<script>
  $(function () {
    /* ChartJS
     * -------
     * Here we will create a few charts using ChartJS
     */

    //--------------
    //- AREA CHART -
    //--------------

    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $haayanaa_1 + $haayanaa_2 + $haayanaa_3 + $haayanaa_4 + $haayanaa_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$haayanaa_1, $haayanaa_2, $haayanaa_3, $haayanaa_4, $haayanaa_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#haayanaaChart').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })




    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $agriculture_1 + $agriculture_2 + $agriculture_3 + $agriculture_4 + $agriculture_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$agriculture_1, $agriculture_2, $agriculture_3, $agriculture_4, $agriculture_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#barChart').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $gk_1 + $gk_2 + $gk_3 + $gk_4 + $gk_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$gk_1, $gk_2, $gk_3, $gk_4, $gk_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#generalKnowledge').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })


    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $religion_1 + $religion_2 + $religion_3 + $religion_4 + $religion_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$religion_1, $religion_2, $religion_3, $religion_4, $religion_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#religionMythology').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $history_1 + $history_2 + $history_3 + $history_4 + $history_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$history_1, $history_2, $history_3, $history_4, $history_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#historyCivics').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $literature_1 + $literature_2 + $literature_3 + $literature_4 + $literature_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$literature_1, $literature_2, $literature_3, $literature_4, $literature_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#literature').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $sports_1 + $sports_2 + $sports_3 + $sports_4 + $sports_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$sports_1, $sports_2, $sports_3, $sports_4, $sports_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#sportsGames').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $films_1 + $films_2 + $films_3 + $films_4 + $films_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$films_1, $films_2, $films_3, $films_4, $films_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#filmsEntertainment').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $geography_1 + $geography_2 + $geography_3 + $geography_4 + $geography_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$geography_1, $geography_2, $geography_3, $geography_4, $geography_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#geography').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $animals_1 + $animals_2 + $animals_3 + $animals_4 + $animals_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$animals_1, $animals_2, $animals_3, $animals_4, $animals_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#animals').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $capitals_1 + $capitals_2 + $capitals_3 + $capitals_4 + $capitals_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$capitals_1, $capitals_2, $capitals_3, $capitals_4, $capitals_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#capitalsCountries').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $science_1 + $science_2 + $science_3 + $science_4 + $science_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$science_1, $science_2, $science_3, $science_4, $science_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#science').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $computers_1 + $computers_2 + $computers_3 + $computers_4 + $computers_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$computers_1, $computers_2, $computers_3, $computers_4, $computers_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#computersTechnology').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $currencies_1 + $currencies_2 + $currencies_3 + $currencies_4 + $currencies_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$currencies_1, $currencies_2, $currencies_3, $currencies_4, $currencies_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#worldCurrencies').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $environment_1 + $environment_2 + $environment_3 + $environment_4 + $environment_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$environment_1, $environment_2, $environment_3, $environment_4, $environment_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#environmentSpace').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })



    // Get context with jQuery - using jQuery's .get() method.

    var areaChartData = {
      labels  : ['Level 1', 'Level 2', 'Level 3', 'Level 4', 'Level 5'],
      datasets: [
        {
          label               : 'Total <?php echo $first_1 + $first_2 + $first_3 + $first_4 + $first_5; ?>',
          backgroundColor     : 'rgba(60,141,188,0.9)',
          borderColor         : 'rgba(60,141,188,0.8)',
          pointRadius          : false,
          pointColor          : '#3b8bba',
          pointStrokeColor    : 'rgba(60,141,188,1)',
          pointHighlightFill  : '#fff',
          pointHighlightStroke: 'rgba(60,141,188,1)',
          <?php
            echo " data : [$first_1, $first_2, $first_3, $first_4, $first_5]";
          ?>
        }
      ]
    }

    //-------------
    //- BAR CHART -
    //-------------
    var barChartCanvas = $('#firstEver').get(0).getContext('2d')
    var barChartData = jQuery.extend(true, {}, areaChartData)
    var temp0 = areaChartData.datasets[0]
    barChartData.datasets[0] = temp0

    var barChartOptions = { responsive  : true, maintainAspectRatio : false, datasetFill  : false }

    var barChart = new Chart(barChartCanvas, { type: 'bar', data: barChartData, options: barChartOptions })

   
  })
</script>
</body>
</html>
